Package org.eclipse.emf.cdo.common.util

## Class CDOQueryQueue.BlockingCloseableIteratorImpl

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CDOQueryQueue.BlockingCloseableIteratorImpl

- All Implemented Interfaces:
    `java.util.Iterator<E>`, `BlockingCloseableIterator<E>`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<E>`
  Enclosing class:
    CDOQueryQueue<E>

      public class CDOQueryQueue.BlockingCloseableIteratorImpl
      extends java.lang.Object
      implements BlockingCloseableIterator<E>

  A blocking iterator that takes elements from a `CDOQueryQueue`.
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlockingCloseableIteratorImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `hasNext()` |
    `boolean` | `isClosed()` |
    `E` | `next()` |
    `E` | `peek()` | Non-blocking call.
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### BlockingCloseableIteratorImpl

          public BlockingCloseableIteratorImpl()

  - ### Method Detail

    - #### peek

          public E peek()

      Description copied from interface: `BlockingCloseableIterator`
      Non-blocking call.
      Specified by:
        `peek` in interface `BlockingCloseableIterator<E>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `java.util.Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<E>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.eclipse.net4j.util.collection.Closeable`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`